asn1_create_element(3)

NAME
asn1_create_element - Creates a structure of type SOURCE_NAME.

SYNOPSIS
#include <libtasn1.h>

asn1_retCode asn1_create_element(ASN1_TYPE definitions, const char * source_name, ASN1_TYPE * element);

ARGUMENTS

ASN1_TYPE definitions
    pointer to the structure returned by "parser_asn1" function

const char * source_name
    the name of the type of the new structure (must be inside p_structure).

ASN1_TYPE * element
    pointer to the structure created.

DESCRIPTION
Creates a structure of type source_name. Example using "pkix.asn": rc = asn1_create_structure(cert_def, "PKIX1.Certificate", certptr);

RETURNS

ASN1_SUCCESS
Creation OK.

ASN1_ELEMENT_NOT_FOUND
SOURCE_NAME isn't known

COPYRIGHT
Copyright © 2006, 2007, 2008, 2009 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for libtasn1 is maintained as a Texinfo manual. If the info and libtasn1 programs are properly installed at your site, the command

    info libtasn1

should give you access to the complete manual.